Subject: Re: OO question re: private fields
From: Neil Santos <[email-masked]>
To: Frank Heckenbach <[email-masked]>, [email-masked]
Date: Tue, 26 Oct 2004 04:12:32 +0800

> > > private hiddens from outside world, not from descendants of an object.

> > Isn't that what `protected' is for?

> However, `private' means unit/modules wide visibility. -- One could
> discuss how useful it is, but since we follow (mostly) BP's object
> model, that's just the way it is.

That's just what I was wondering about; you see, the descendant that
is trying to `overwrite' a field is declared in a different module.  I
had thought `private' would allow me to do what I'm trying to do.

-- 
Political Dissident                                        Neil Santos
Free Software Advocate                      Jabber: [email-masked]

     Please avoid sending me attachments encoded in secret formatting.
            See http://www.fsf.org/philosophy/no-word-attachments.html